uniform float time;
uniform vec2 resolution;

void main( void ) {
    vec2 position = ( gl_FragCoord.xy / resolution.xy);
    float color = 0.5;
    color += sin( position.x * cos( time / 5.0 ) * -10.0 ) + cos( position.y * cos( time / 12.0 ) * 20.0 );
    color += sin( position.y * sin( time / 5.0 ) * 10.0 ) + cos( position.x * sin( time / 12.0 ) * 40.0 );
    color += sin( position.x * sin( time / 10.0 ) * -10.0 ) + sin( position.y * sin( time / 12.0 ) * 15.0 );
    color *= sin( time / 1.0 ) * 1.5;
    gl_FragColor = vec4(color * 2.5 + 0.9, 0.5, 0.5, 1.0);
}